## org.apache.fop.fo.flow
Class TableRow.CellState

    java.lang.Object
      |
      +--org.apache.fop.fo.flow.TableRow.CellState

Enclosing class:
  TableRow

public final class TableRow.CellState
extends java.lang.Object

CellState
Copyright @ 2000 Circuit Court Automation Program. state of Wisconsin. All Rights Reserved.

This class is a container class for encapsulating a the state of a cell

Name: | CellState
Purpose: | a helpful container class
Description: | This class is a container class for encapsulating the state of a cell belonging to a TableRow class

Since:
  JDK1.1
Version:
  0.14.0, 11/22/2000
Author:
  Hani Elabed

Constructor Summary
`TableRow.CellState()` simple no args constructor.
`TableRow.CellState(int aLocation, boolean completed, int aWidth)` three argument fill everything constructor.

Method Summary
`int` `getColumn()`
`int` `getLocation()` returns the index of the cell starting at 0.
`int` `getWidthOfCellSoFar()` returns the horizontal offset of the cell.
`boolean` `isLayoutComplete()` returns true if the cell was completely laid out.
`void` `setColumn(int col)`
`void` `setLayoutComplete(boolean completed)` sets the layoutCompleted flag.
`void` `setLocation(int aLocation)` sets the location of the cell.
`void` `setWidthOfCellSoFar(int aWidth)` sets the width of the Cell So Far, i.e the cell's offset.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableRow.CellState

    public TableRow.CellState()

  simple no args constructor.

### TableRow.CellState

    public TableRow.CellState(int aLocation,
                              boolean completed,
                              int aWidth)

  three argument fill everything constructor.
  Parameters:
    `int` - the location(index) of the cell.
    `boolean` - flag of wether the cell was completely laid out or not.
    `int` - the horizontal offset(width so far) of the cell.

Method Detail

### getLocation

    public final int getLocation()

  returns the index of the cell starting at 0.
  Returns:
    int the location of the cell.

### setLocation

    public final void setLocation(int aLocation)

  sets the location of the cell.
  Parameters:
    `int,` - the location of the cell.

### isLayoutComplete

    public final boolean isLayoutComplete()

  returns true if the cell was completely laid out.
  Returns:
    false if cell was partially laid out.

### setLayoutComplete

    public final void setLayoutComplete(boolean completed)

  sets the layoutCompleted flag.
  Parameters:
    `boolean,` - the layout Complete state of the cell.

### getWidthOfCellSoFar

    public final int getWidthOfCellSoFar()

  returns the horizontal offset of the cell.
  Returns:
    int the horizontal offset of the cell, also known as width of the cell so far.

### setWidthOfCellSoFar

    public final void setWidthOfCellSoFar(int aWidth)

  sets the width of the Cell So Far, i.e the cell's offset.
  Parameters:
    `int,` - the horizontal offset of the cell.

### getColumn

    public int getColumn()

### setColumn

    public void setColumn(int col)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.